org.keycloak.federation.ldap.mappers.membership

## Class UserRolesRetrieveStrategy.LoadRolesByMember

- java.lang.Object
- - org.keycloak.federation.ldap.mappers.membership.UserRolesRetrieveStrategy.LoadRolesByMember

- All Implemented Interfaces:
    UserRolesRetrieveStrategy
  Direct Known Subclasses:
    UserRolesRetrieveStrategy.LoadRolesByMemberRecursively
  Enclosing interface:
    UserRolesRetrieveStrategy

      public static class UserRolesRetrieveStrategy.LoadRolesByMember
      extends Object
      implements UserRolesRetrieveStrategy

  Roles of user will be retrieved by sending LDAP query to retrieve all roles where "member" is our user

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.federation.ldap.mappers.membership.UserRolesRetrieveStrategy

      `UserRolesRetrieveStrategy.GetRolesFromUserMemberOfAttribute, UserRolesRetrieveStrategy.LoadRolesByMember, UserRolesRetrieveStrategy.LoadRolesByMemberRecursively`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadRolesByMember()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeUserLDAPQuery(LDAPQuery query)`
    `List<LDAPObject>` | `getLDAPRoleMappings(CommonLDAPGroupMapper roleOrGroupMapper, LDAPObject ldapUser)`
    `protected Condition` | `getMembershipCondition(String membershipAttr, String userMembership)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadRolesByMember

          public LoadRolesByMember()

  - ### Method Detail

    - #### getLDAPRoleMappings

          public List<LDAPObject> getLDAPRoleMappings(CommonLDAPGroupMapper roleOrGroupMapper,
                                                      LDAPObject ldapUser)

      Specified by:
        `getLDAPRoleMappings` in interface `UserRolesRetrieveStrategy`

    - #### beforeUserLDAPQuery

          public void beforeUserLDAPQuery(LDAPQuery query)

      Specified by:
        `beforeUserLDAPQuery` in interface `UserRolesRetrieveStrategy`

    - #### getMembershipCondition

          protected Condition getMembershipCondition(String membershipAttr,
                                                     String userMembership)

Copyright © 2016 JBoss by Red Hat. All rights reserved.